summaryrefslogtreecommitdiff
path: root/utils/gitlab-ci/phpmd.sh
diff options
context:
space:
mode:
authorAndrew Dolgov <[email protected]>2017-04-27 00:24:29 +0300
committerAndrew Dolgov <[email protected]>2017-04-27 00:24:29 +0300
commit7f4a24f8681f35d25077524692ba2236583cb732 (patch)
tree41dcc1cc2d3859ad1d8d1fd60b6138c9b520454a /utils/gitlab-ci/phpmd.sh
parent891df346377be014bbad14c229421d92cfd332ea (diff)
parentc2744831cd319fb967a83dc643bdb8b25f6c0b02 (diff)
Merge branch 'master' of git.fakecake.org:tt-rss
Diffstat (limited to 'utils/gitlab-ci/phpmd.sh')
-rw-r--r--utils/gitlab-ci/phpmd.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/utils/gitlab-ci/phpmd.sh b/utils/gitlab-ci/phpmd.sh
index 117be1848..7541db840 100644
--- a/utils/gitlab-ci/phpmd.sh
+++ b/utils/gitlab-ci/phpmd.sh
@@ -1,7 +1,8 @@
-#!/bin/sh -i -e
+#!/bin/sh
-phpmd include,classes text utils/gitlab-ci/phpmd-ruleset.xml
+set -e
+
+phpmd include,classes,plugins text utils/gitlab-ci/phpmd-ruleset.xml
FILES=$(ls -dm *.php | tr -d " "| tr -d "\n")
phpmd $FILES text utils/gitlab-ci/phpmd-ruleset.xml
-